-- Verify camper:campsite_type on pg

begin;

select campsite_type_id
     , company_id
     , slug
     , name
     , media_id
     , spiel
     , info
     , facilities
     , description
     , max_campers
     , dogs_allowed
     , active
     , position
from camper.campsite_type
where false;

select 1 / count(*) from pg_class where oid = 'camper.campsite_type'::regclass and relrowsecurity;
select 1 / count(*) from pg_policy where polname = 'guest_ok' and polrelid = 'camper.campsite_type'::regclass;
select 1 / count(*) from pg_policy where polname = 'insert_to_company' and polrelid = 'camper.campsite_type'::regclass;
select 1 / count(*) from pg_policy where polname = 'update_company' and polrelid = 'camper.campsite_type'::regclass;
select 1 / count(*) from pg_policy where polname = 'delete_from_company' and polrelid = 'camper.campsite_type'::regclass;

rollback;
